Skip to content

Download Task

This API allows users to download data as a ZIP file. The contents of the ZIP file are provided in JSON format. width: default title: visible: true description: visible: true tableOfContents: visible: true outline: visible: true pagination: visible: true metadata: visible: true tags: visible: true actions: visible: true

It is recommended to download the task at least 10 minutes after creating the download task.

If the task has not yet completed, the API will return error code 10380001. In this case, please retry the download request every 10 minutes until the data is successfully returned.

Endpoint

GET https://api.mycactus.dev/custody-download/v1/api/projects/{b_id}/tx-details/download/{downloadId}
GET https://api.mycactus.com/custody-download/v1/api/projects/{b_id}/tx-details/download/{downloadId}

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
downloadId
Required
StringDownload ID of the task generated from here.

Response

Response Body

FieldTypeDescription
dataStringDisplays the ZIP file in byte format. You can copy the output directly into a .zip file.

Response Example

{
    "PK\x03\x04\x14\x00\x01\x08\x08\x00\xf1\x80$\\\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00Q\x00\x00\x00bff7b979ff84443fb461a4f72f8fea7a.a3de9b7c703e4762974a1df7aafe724f.2026-01-06.json\x8b\xe6\xe2\x8a\x05\x00PK\x07\x08\xaa\x17\xea\xdf\x06\x00\x00\x00\x04\x00\x00\x00PK\x01\x02\x14\x00\x14\x00\x08\x08\x08\x00\xf1\x80$\\\xaa\x17\xea\xdf\x06\x00\x00\x00\x04\x00\x00\x00Q\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00bff7b979ff84443fb461a4f72f8fea7a.a1de9b7c703e4712974a1df7aafe724f.2026-01-06.jsonPK\x05\x06\x00\x00\x00\x00\x01\x00\x01\x00\x7f\x00\x00\x00\x85\x00\x00\x00\x00\x00"
}